Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # channel_multiplier Struct Template Reference [channel_multiply] `#include <channel_algorithm.hpp>` List of all members. ## Detailed Description ### template<typename ChannelValue> struct boost::gil::channel_multiplier< ChannelValue > A function object to multiply two channels. result = a * b / max_value.
## Public Member Functions
ChannelValue | operator() (ChannelValue a, ChannelValue b) const
The documentation for this struct was generated from the following file: channel_algorithm.hpp